Skip to content
Hockay API
Esc
↑↓navigate↵open⌘Jpreview

A player's season lines

GET/players/{id}/stats
Authorization
x-api-keyAPI key · headerrequired
Path parameters
idstringrequired

Player id

Responses
200

OK

dataPlayerSeasonStats[]required
Show properties
Array of PlayerSeasonStats
seasonIdstringrequired
gamesPlayedintegerrequired
min -9007199254740991 · max 9007199254740991
goalsintegerrequired
min -9007199254740991 · max 9007199254740991
assistsintegerrequired
min -9007199254740991 · max 9007199254740991
pointsintegerrequired
min -9007199254740991 · max 9007199254740991
hitsintegerrequired
min -9007199254740991 · max 9007199254740991
penaltiesintegerrequired
min -9007199254740991 · max 9007199254740991
penaltyMinutesintegerrequired
min -9007199254740991 · max 9007199254740991
fightsintegerrequired
min -9007199254740991 · max 9007199254740991
shotsintegerrequired
min -9007199254740991 · max 9007199254740991
shotsOnGoalintegerrequired
min -9007199254740991 · max 9007199254740991
plusMinusintegerrequired
min -9007199254740991 · max 9007199254740991
savesintegerrequired
min -9007199254740991 · max 9007199254740991
goalsAgainstintegerrequired
min -9007199254740991 · max 9007199254740991
shutoutsintegerrequired
min -9007199254740991 · max 9007199254740991
savePercentagenumberrequired
304

Not modified (If-None-Match matched the ETag)

401

Missing, unknown, revoked, or expired key

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
403

This account cannot use this key class

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
404

Not found (or not public yet)

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
429

Rate limited; retry after the Retry-After seconds

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://hockay.com/api/v1/players/string/stats' \
  -H 'x-api-key: YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "seasonId": "string",
      "gamesPlayed": -9007199254740991,
      "goals": -9007199254740991,
      "assists": -9007199254740991,
      "points": -9007199254740991,
      "hits": -9007199254740991,
      "penalties": -9007199254740991,
      "penaltyMinutes": -9007199254740991,
      "fights": -9007199254740991,
      "shots": -9007199254740991,
      "shotsOnGoal": -9007199254740991,
      "plusMinus": -9007199254740991,
      "saves": -9007199254740991,
      "goalsAgainst": -9007199254740991,
      "shutouts": -9007199254740991,
      "savePercentage": 0
    }
  ]
}

Was this page helpful?